### Method

# Ggit Repository get_location

#### Declaration [src]

    GFile*
    ggit_repository_get_location (
      GgitRepository* repository
    )

#### Description [src]

Get the gitdir location of the repository.

Gets property | `Ggit.Repository:location`

#### Return value

Type: `GFile`

The location of the gitdir of the repository.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.